org.apache.hc.client5.http.async.methods

## Class SimpleBody

- java.lang.Object
- - org.apache.hc.client5.http.async.methods.SimpleBody

    public final class SimpleBody
    extends Object

Message body representation as a simple text string or an array of bytes.

Since:
  5.0

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `getBodyBytes()` Gets the body as a byte array.
`String` `getBodyText()` Gets the body as a String.
`ContentType` `getContentType()` Gets the content type.
`boolean` `isBytes()` Tests whether the body is currently cached as a byte array.
`boolean` `isText()` Tests whether the body is currently cached as a String.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getContentType

    public ContentType getContentType()

Gets the content type.

Returns:
  the content type.

#### getBodyBytes

    public byte[] getBodyBytes()

Gets the body as a byte array.

Returns:
  the body as a byte array.

#### getBodyText

    public String getBodyText()

Gets the body as a String.

Returns:
  the body as a String.

#### isText

    public boolean isText()

Tests whether the body is currently cached as a String.

Returns:
  whether the body is currently cached as a String.

#### isBytes

    public boolean isBytes()

Tests whether the body is currently cached as a byte array.

Returns:
  whether the body is currently cached as a byte array.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`